GET api/NTOrderMedication/GetMedicationNDCCodById?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfMedicationNDCDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of MedicationNDCDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "MedicationTypeId": 2,
      "MedicationDoseId": 1,
      "NDCCode": "sample string 3",
      "StartDate": "2026-08-04T14:29:22.4454306-07:00",
      "EndDate": "2026-08-04T14:29:22.4454306-07:00",
      "MedicationName": "sample string 4",
      "MedicationDoseName": "sample string 5",
      "Todaydate": "2026-08-04T14:29:22.4454306-07:00",
      "Status": 6,
      "IsFutureRecord": true,
      "multiNdcCodeList": [],
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:29:22.4454306-07:00",
      "DateUpdated": "2026-08-04T14:29:22.4454306-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12
    },
    {
      "Id": 1,
      "MedicationTypeId": 2,
      "MedicationDoseId": 1,
      "NDCCode": "sample string 3",
      "StartDate": "2026-08-04T14:29:22.4454306-07:00",
      "EndDate": "2026-08-04T14:29:22.4454306-07:00",
      "MedicationName": "sample string 4",
      "MedicationDoseName": "sample string 5",
      "Todaydate": "2026-08-04T14:29:22.4454306-07:00",
      "Status": 6,
      "IsFutureRecord": true,
      "multiNdcCodeList": [],
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:29:22.4454306-07:00",
      "DateUpdated": "2026-08-04T14:29:22.4454306-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12
    }
  ],
  "totalCount": 3
}